<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 5/6/2018
 * Time: 3:07 PM
 */


include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['correo']) && isset($_REQUEST['clave']) && isset($_REQUEST['nombre']) && isset($_REQUEST['direccion']) && isset($_REQUEST['telefono'])  && isset($_REQUEST['condominioId'])) {
            $validar  = R::findOne( 'usuario', ' correo = ? ', [ $_REQUEST['correo'] ] );
            if (is_null($validar)==TRUE){
                $usuario = R::dispense('usuario');
                $usuario->correo = $_REQUEST['correo'];
                $usuario->clave = $_REQUEST['clave'];
                $usuario->nombre = $_REQUEST['nombre'];
                $usuario->direccion = $_REQUEST['direccion'];
                $usuario->telefono = $_REQUEST['telefono'];
                $usuario->fechaRegistro = date('Y-m-d H:i:s');
                $usuario->fechaModificacion = date('Y-m-d H:i:s');
                $usuario->tipoUsuario = 3;
                $usuario->condominioId = $_REQUEST['condominioId'];
                if(isset($_REQUEST['idEmpresa'])){
                    $usuario->empresaId = $_REQUEST['idEmpresa'];
                }
                $usuario->fotoPerfil = "http://como-encontrar-parejas.es/wp-content/uploads/foto-de-perfil.jpg";
                $usuario->estado = 1;
                $id = R::store($usuario);
                include '../comun/mensajeCreado.php';
            }else{
                include '../comun/mensajeYaExiste.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}